Skip to main content
GET
/
auto-substitution
List auto substitution events
curl --request GET \
  --url https://sandbox.api.fantasyfutbol.app/v1/auto-substitution \
  --header 'x-api-key: <api-key>'
{
  "statusCode": 123,
  "message": "<string>",
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "squad": {
        "id": "<string>",
        "name": "<string>"
      },
      "player": {
        "id": 123,
        "first_name": "<string>",
        "last_name": "<string>"
      },
      "txn_type": "<string>",
      "action": "<string>",
      "txn_ref": "<string>",
      "lineup_order": 123,
      "is_captain": true,
      "is_vice_captain": true,
      "is_starting": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "page": 123,
    "page_total": 123,
    "per_page": 123,
    "current": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

fantasy_league_id
integer
required
Required range: x >= 1
page
integer
Required range: x >= 1

Response

Auto substitution events retrieved

statusCode
integer
required
message
string
required
data
object[]
required
paging
object
required